import { JsonSchemaOptions } from "../interfaces/JsonSchemaOptions";
export declare class JsonMap<T> extends Map<string, any> {
    [key: string]: any;
    kind: string;
    constructor(obj?: Partial<T>);
    assign(obj?: Partial<T> & any): this;
    toJSON(options?: JsonSchemaOptions): any;
}
